CFFCIDFont
Date: 2017-05-25

org.apache.fontbox.cff

## Class CFFCIDFont

- java.lang.Object
- - org.apache.fontbox.cff.CFFFont
  - - org.apache.fontbox.cff.CFFCIDFont

- All Implemented Interfaces:
    FontBoxFont

      public class CFFCIDFont
      extends CFFFont

  A Type 0 CIDFont represented in a CFF file. Thread safe.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fontbox.cff.CFFFont

      `charset, charStrings, fontName, globalSubrIndex, topDict`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFFCIDFont()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FDSelect` | `getFdSelect()` Returns the fdSelect value.
    `java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` | `getFontDicts()` Returns the font dictionaries.
    `java.util.List<java.lang.Number>` | `getFontMatrix()` Returns the FontMatrix.
    `java.lang.String` | `getOrdering()` Returns the ordering value.
    `java.awt.geom.GeneralPath` | `getPath(java.lang.String selector)` Returns the path for the character with the given name.
    `java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` | `getPrivDicts()` Returns the private dictionary.
    `java.lang.String` | `getRegistry()` Returns the registry value.
    `int` | `getSupplement()` Returns the supplement value.
    `CIDKeyedType2CharString` | `getType2CharString(int cid)` Returns the Type 2 charstring for the given CID.
    `float` | `getWidth(java.lang.String selector)` Returns the advance width for the character with the given name.
    `boolean` | `hasGlyph(java.lang.String selector)` Returns true if the font contains the given glyph.

    - ### Methods inherited from class org.apache.fontbox.cff.CFFFont

      `addValueToTopDict, getCharset, getCharStringBytes, getData, getFontBBox, getGlobalSubrIndex, getName, getNumCharStrings, getTopDict, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFFCIDFont

          public CFFCIDFont()

  - ### Method Detail

    - #### getRegistry

          public java.lang.String getRegistry()

      Returns the registry value. * @return the registry

    - #### getOrdering

          public java.lang.String getOrdering()

      Returns the ordering value.
      Returns:
        the ordering

    - #### getSupplement

          public int getSupplement()

      Returns the supplement value.
      Returns:
        the supplement

    - #### getFontDicts

          public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> getFontDicts()

      Returns the font dictionaries.
      Returns:
        the fontDict

    - #### getPrivDicts

          public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> getPrivDicts()

      Returns the private dictionary.
      Returns:
        the privDict

    - #### getFdSelect

          public FDSelect getFdSelect()

      Returns the fdSelect value.
      Returns:
        the fdSelect

    - #### getType2CharString

          public CIDKeyedType2CharString getType2CharString(int cid)
                                                     throws java.io.IOException

      Returns the Type 2 charstring for the given CID.
      Specified by:
        `getType2CharString` in class `CFFFont`
      Parameters:
        `cid` - CID
      Throws:
        `java.io.IOException` - if the charstring could not be read

    - #### getFontMatrix

          public java.util.List<java.lang.Number> getFontMatrix()

      Description copied from class: `CFFFont`
      Returns the FontMatrix.
      Specified by:
        `getFontMatrix` in interface `FontBoxFont`
      Specified by:
        `getFontMatrix` in class `CFFFont`

    - #### getPath

          public java.awt.geom.GeneralPath getPath(java.lang.String selector)
                                            throws java.io.IOException

      Description copied from interface: `FontBoxFont`
      Returns the path for the character with the given name.
      Returns:
        glyph path
      Throws:
        `java.io.IOException` - if the path could not be read

    - #### getWidth

          public float getWidth(java.lang.String selector)
                         throws java.io.IOException

      Description copied from interface: `FontBoxFont`
      Returns the advance width for the character with the given name.
      Returns:
        glyph advance width
      Throws:
        `java.io.IOException` - if the path could not be read

    - #### hasGlyph

          public boolean hasGlyph(java.lang.String selector)
                           throws java.io.IOException

      Description copied from interface: `FontBoxFont`
      Returns true if the font contains the given glyph.
      Parameters:
        `selector` - PostScript glyph name
      Throws:
        `java.io.IOException`